<!DOCTYPE html>
<html>
    <head>
        <title>Калькулятор на JavaScript</title>
        <meta http-equiv="Content-Type" content="text/html; charset=windows-1251" />
        <script type="text/javascript">
      
        function calc() {
           
            var type_design = document.getElementById("type_design");
           
            var is_html = document.getElementById("is_html");
            
            var count = document.getElementById("count");
            
            var result = document.getElementById("result"); 
 
            var price = 0;
            price += parseInt(type_design.options[type_design.selectedIndex].value);
            price += (is_html.checked == true) ? parseInt(is_html.value) : 0;
            price = parseInt(count.value) * price;
 
            result.innerHTML = price;
        }
 
</script>
        
        <style>
            
            body{
            background: linear-gradient(to top, yellow , orange );  
            margin: 0;
                border: 1px solid white;
            }
            .block{
                padding: 10px;
                
                
                
                width: 100%;
            
                border: 2px solid black;
            }
        </style>
        
    </head>
    <body>
        <h1 align="center">Добро пожаловать!</h1>
        <h2>Чтобы сделать заказ заполните форму ниже:</h2>
        <div class="block">
        <b>Тип меда:</b><br/>
        <select onchange="calc()" id="type_design">
            <option value="0">Выбрать</option>
            <option value="5000">Обычный мед</option>
            <option value="7000">Сладкий мед</option>
            <option value="10000">Очень сладкий мед</option>
        </select><br/>
        <input type="checkbox" onchange="calc()" value="3000" id="is_html" />
        <label for="is_html">Добавить к заказу открытку?</label>
        <br/>
        Кол-во банок: <input type="text" id="count" value="1" onchange="calc()" />
        <div>Стоимость меда: <span id="result">0</span> руб.</div>
   
            <input type="button" alt="Отправить" >
            
        </div>
        
        
        
            </body>
</html>
        
        
